Subject: Re: [PATCH/RFC net-next 0/4] Delete token ring support.

From: Paul Gortmaker <[email-masked]>
Date: Tue, 15 May 2012 21:38:49 -0400

[Re: [PATCH/RFC net-next 0/4] Delete token ring support.] On 15/05/2012 (Tue 21:00) David Miller wrote:

> From: Andi Kleen <[email-masked]>
> Date: Tue, 15 May 2012 17:48:15 -0700
> 
> > Paul Gortmaker <[email-masked]> writes:
> >>
> >> What I mean by (2) is the implicit absence of anyone fixing _runtime_
> >> bugs, going all the way back to 2.6.12 in 2005.  If the code was being
> >> _used_, we'd see runtime regressions reported and their associated
> >> fixes.
> > 
> > Removal sounds good to me. In fact I would argue to remove any other driver
> > which did not get a real change since 2005 too.

3c501.c is on my radar.  The 8bit ISA hardware with discrete TTL
components everywhere was crap back in the early 1990s, and it sure as
hell has not got better with age.

> 
> I also support removing the token ring stuff, and in fact I'm more
> than happy to add your patch set to the net-next tree right now.

Great -- that was the kind of response I was hoping for, but not
expecting to get.  Let me run one last allyesconfig/allmodconfig
and I'll send a pull request.  I've already run the defconfig
build on s390 to make sure I didn't break them.

Thanks,
Paul.